SidTuneInfo Class Referenceabstract

`#include <SidTuneInfo.h>`

Inheritance diagram for SidTuneInfo:

## Public Types

enum | clock_t { CLOCK_UNKNOWN, CLOCK_PAL, CLOCK_NTSC, CLOCK_ANY }
enum | model_t { SIDMODEL_UNKNOWN, SIDMODEL_6581, SIDMODEL_8580, SIDMODEL_ANY }
enum | compatibility_t { COMPATIBILITY_C64, COMPATIBILITY_PSID, COMPATIBILITY_R64, COMPATIBILITY_BASIC }

## Public Member Functions

virtual uint_least16_t | loadAddr () const =0
virtual uint_least16_t | initAddr () const =0
virtual uint_least16_t | playAddr () const =0
virtual unsigned int | songs () const =0
virtual unsigned int | startSong () const =0
virtual unsigned int | currentSong () const =0
virtual SID_DEPRECATED bool | isStereo () const =0
virtual int | sidChips () const =0
virtual int | songSpeed () const =0
virtual uint_least8_t | relocStartPage () const =0
virtual uint_least8_t | relocPages () const =0
virtual compatibility_t | compatibility () const =0
virtual uint_least32_t | dataFileLen () const =0
virtual uint_least32_t | c64dataLen () const =0
virtual clock_t | clockSpeed () const =0
virtual const char * | formatString () const =0
virtual bool | fixLoad () const =0
virtual const char * | path () const =0
virtual const char * | dataFileName () const =0
virtual const char * | infoFileName () const =0
Base addresses
The SID chip base address(es) used by the sidtune.
virtual SID_DEPRECATED uint_least16_t | sidChipBase1 () const =0
| 0xD400 (normal, 1st SID) More...
virtual SID_DEPRECATED uint_least16_t | sidChipBase2 () const =0
| 0xD??0 (2nd SID) or 0 (no 2nd SID) More...
virtual uint_least16_t | sidChipBase (unsigned int i) const =0
SID model
The SID chip model(s) requested by the sidtune.
virtual SID_DEPRECATED model_t | sidModel1 () const =0
| first SID More...
virtual SID_DEPRECATED model_t | sidModel2 () const =0
| second SID More...
virtual model_t | sidModel (unsigned int i) const =0
Tune infos

Song title, credits, ...

- 0 = Title
- 1 = Author
- 2 = Released

virtual unsigned int | numberOfInfoStrings () const =0
| the number of available text info lines
virtual const char * | infoString (unsigned int i) const =0
| text info from the format headers etc.
Tune comments
MUS comments.
virtual unsigned int | numberOfCommentStrings () const =0
| Number of comments.
virtual const char * | commentString (unsigned int i) const =0
| Used to stash the MUS comment somewhere.

## Static Public Attributes

static const int | SPEED_VBI = 0
| Vertical-Blanking-Interrupt.
static const int | SPEED_CIA_1A = 60
| CIA 1 Timer A.

## Detailed Description

This interface is used to get values from SidTune objects.

You must read (i.e. activate) sub-song specific information via: const SidTuneInfo* tuneInfo = SidTune.getInfo(); const SidTuneInfo* tuneInfo = SidTune.getInfo(songNumber);

## Member Enumeration Documentation

## compatibility_t

enum SidTuneInfo::compatibility_t

Enumerator
COMPATIBILITY_C64 | File is C64 compatible.
COMPATIBILITY_PSID | File is PSID specific.
COMPATIBILITY_R64 | File is Real C64 only.
COMPATIBILITY_BASIC | File requires C64 Basic.

## Member Function Documentation

## c64dataLen()

virtual uint_least32_t SidTuneInfo::c64dataLen | ( |  | ) | const

pure virtual

Length of raw C64 data without load address.

Implemented in SidTuneInfoImpl.

## clockSpeed()

virtual clock_t SidTuneInfo::clockSpeed | ( |  | ) | const

pure virtual

The tune clock speed.

Implemented in SidTuneInfoImpl.

## compatibility()

virtual compatibility_t SidTuneInfo::compatibility | ( |  | ) | const

pure virtual

Compatibility requirements.

Implemented in SidTuneInfoImpl.

## currentSong()

virtual unsigned int SidTuneInfo::currentSong | ( |  | ) | const

pure virtual

The tune that has been initialized.

Implemented in SidTuneInfoImpl.

## dataFileLen()

virtual uint_least32_t SidTuneInfo::dataFileLen | ( |  | ) | const

pure virtual

Length of single-file sidtune file.

Implemented in SidTuneInfoImpl.

## dataFileName()

virtual const char* SidTuneInfo::dataFileName | ( |  | ) | const

pure virtual

A first file: e.g. "foo.sid" or "foo.mus".

Implemented in SidTuneInfoImpl.

## fixLoad()

virtual bool SidTuneInfo::fixLoad | ( |  | ) | const

pure virtual

Whether load address might be duplicate.

Implemented in SidTuneInfoImpl.

## formatString()

virtual const char* SidTuneInfo::formatString | ( |  | ) | const

pure virtual

The name of the identified file format.

Implemented in SidTuneInfoImpl.

## infoFileName()

virtual const char* SidTuneInfo::infoFileName | ( |  | ) | const

pure virtual

A second file: e.g. "foo.str". Returns 0 if none.

Implemented in SidTuneInfoImpl.

## initAddr()

virtual uint_least16_t SidTuneInfo::initAddr | ( |  | ) | const

pure virtual

Init Address.

Implemented in SidTuneInfoImpl.

## isStereo()

virtual SID_DEPRECATED bool SidTuneInfo::isStereo | ( |  | ) | const

pure virtual

Whether sidtune uses two SID chips.

Deprecated:
  use sidChips()

Implemented in SidTuneInfoImpl.

## loadAddr()

virtual uint_least16_t SidTuneInfo::loadAddr | ( |  | ) | const

pure virtual

Load Address.

Implemented in SidTuneInfoImpl.

## path()

virtual const char* SidTuneInfo::path | ( |  | ) | const

pure virtual

Path to sidtune files.

Implemented in SidTuneInfoImpl.

## playAddr()

virtual uint_least16_t SidTuneInfo::playAddr | ( |  | ) | const

pure virtual

Play Address.

Implemented in SidTuneInfoImpl.

## relocPages()

virtual uint_least8_t SidTuneInfo::relocPages | ( |  | ) | const

pure virtual

Number of pages available for relocation.

Implemented in SidTuneInfoImpl.

## relocStartPage()

virtual uint_least8_t SidTuneInfo::relocStartPage | ( |  | ) | const

pure virtual

First available page for relocation.

Implemented in SidTuneInfoImpl.

## sidChipBase()

virtual uint_least16_t SidTuneInfo::sidChipBase | ( | unsigned int | i | ) | const

pure virtual

Since
  1.8

Implemented in SidTuneInfoImpl.

## sidChipBase1()

virtual SID_DEPRECATED uint_least16_t SidTuneInfo::sidChipBase1 | ( |  | ) | const

pure virtual

0xD400 (normal, 1st SID)

Deprecated:
  use sidChipBase() with i=0

Implemented in SidTuneInfoImpl.

## sidChipBase2()

virtual SID_DEPRECATED uint_least16_t SidTuneInfo::sidChipBase2 | ( |  | ) | const

pure virtual

0xD??0 (2nd SID) or 0 (no 2nd SID)

Deprecated:
  use sidChipBase() with i=1

Implemented in SidTuneInfoImpl.

## sidChips()

virtual int SidTuneInfo::sidChips | ( |  | ) | const

pure virtual

Get the number of SID chips required by the tune.

Implemented in SidTuneInfoImpl.

## sidModel()

virtual model_t SidTuneInfo::sidModel | ( | unsigned int | i | ) | const

pure virtual

Since
  1.8

Implemented in SidTuneInfoImpl.

## sidModel1()

virtual SID_DEPRECATED model_t SidTuneInfo::sidModel1 | ( |  | ) | const

pure virtual

first SID

Deprecated:
  use sidModel() with i=0

Implemented in SidTuneInfoImpl.

## sidModel2()

virtual SID_DEPRECATED model_t SidTuneInfo::sidModel2 | ( |  | ) | const

pure virtual

second SID

Deprecated:
  use sidModel() with i=1

Implemented in SidTuneInfoImpl.

## songs()

virtual unsigned int SidTuneInfo::songs | ( |  | ) | const

pure virtual

The number of songs.

Implemented in SidTuneInfoImpl.

## songSpeed()

virtual int SidTuneInfo::songSpeed | ( |  | ) | const

pure virtual

Intended speed.

Implemented in SidTuneInfoImpl.

## startSong()

virtual unsigned int SidTuneInfo::startSong | ( |  | ) | const

pure virtual

The default starting song.

Implemented in SidTuneInfoImpl.

The documentation for this class was generated from the following file:

- SidTuneInfo.h